* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background-color: rgb(22, 22, 22);;
}

header {
    grid-area: header;
    color: #f2f2f2;

}
#headertext {
    font-size: 300%;
    text-align: center;
    font-family: "Oswald", serif;
}
#wrapper {
    margin-left: auto;
    margin-right: auto;
    float: none;
    display: grid;
    height: 100vh;
    width: 100vw;
    max-width: 1000px;
    grid-gap: 0.5vh;
    grid-template-rows: 1fr 47px 1.5fr 2fr 2fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-areas: "header header header header"
                        "topnav topnav topnav topnav"
                        "person1 person1 person1 person1"
                        "person2 person2 person2 person2"
                        "person3 person3 person3 person3 "
                        "footer footer footer footer";
}

#person1 {
    grid-area: person1;
}
#person2 {
    grid-area: person2;
}
#person3 {
    grid-area: person3;
}


#wrapper2 {
    background-color: #333;
    display: grid;
    height: 100%;
    width: 100%;
    grid-area: footer;
    border: 5px solid #333;
    border-radius: 5px;
    grid-gap: 5px;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 6fr 2fr 2fr 2fr;
    grid-template-areas: "logo logo logo . headkälla headkälla headkälla"
                         "logo logo logo . linkrow1-2 linkrow2-2 linkrow3-2"
                         "logo logo logo . linkrow1-3 linkrow2-3 linkrow3-3"
                         ". . . . linkrow1-4 linkrow2-4 linkrow3-4"
                         "insta facebook twitter namn linkrow1-5 linkrow2-5 linkrow3-5";
}
#minnamn {
    grid-area: namn;
    color: #f2f2f2;
    font-family: "Roboto" , serif;
}
.linkrow {
    text-decoration: none;
    color: #f2f2f2;
    font-family:  "Roboto", serif;
    display: block;
    text-align: center;
}

h4 {
    grid-area: headkälla;
    color: #f2f2f2;
    text-align: center;
    font-family: "Roboto" , serif;
}

.linkrow:hover {
    background-color: #ddd;
    color: black;
}
#omoss {
    grid-area: omoss;
}

.texter {
    margin-left: 5vw;
    margin-right: 5vw;
    background-color: #333;
    border: 5px solid #333;
    border-radius: 5px;
    padding: 1vh;
    color: #f2f2f2;
    font-family: "Roboto", serif;
}

section a {
    text-decoration: none;
    color: #f2f2f2;
}
.topnav {
    background-color: #333;
    overflow: hidden;
    grid-area: topnav;
    border: 2px solid rgb(22, 22, 22);
    border-radius: 5px;
}

.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    font-family: "Roboto", serif;
}

.topnav a:hover {
    background-color: #ddd;
    color: black;
}

.topnav a.active {
    background-color: #04AA6D;
    color: white;
}

.topnav .icon {
    display:none;
}

@media screen and (max-width: 768px) {
    .topnav a:not(:first-child) {display: none;}
    .topnav a.icon {
      float: right;
      display: block;
    }

  }

  @media screen and (max-width: 768px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive a.icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
  }
  @media  screen and (min-width: 1000px) {
   
    #wrapper {
       
        width:  1000px;
        margin-left: auto;
        margin-right: auto;
    }
}